# Praktische Übungen für den Kurs "Computergestützte Datenauswertung" (SS24)


## Jupyter Server

Eine Möglichkeit zur Bearbeitung der Übungsblätter in diesem Verzeichnis ist das *Klonen* des Verzeichnisses in das eigene *home* Verzeichnis des [Jupyter Notebook Servers](https://jupytermachine.etp.kit.edu). Hierzu müssen folgende Schritte durchgeführt werden:

1. Besuchen Sie die Webseite [https://jupytermachine.etp.kit.edu](https://jupytermachine.etp.kit.edu). (Bevorzugt mit Chrome oder Firefox)
2. Loggen Sie sich mit ihren KIT-Account Daten ein. (Ein [Poolraum Konto](https://comp.physik.kit.edu/Account/) ist vorausgesetzt)
3. Wählen Sie den "*Python*" Server aus

An dieser Stelle sehen Sie auf der linken Seite das Jupyter-Hub Menü mit ihrer Verzeichnisstruktur des Poolraumkontos. Auf der rechten Seite sehen Sie den Launcher, den Sie zum Arbeiten verwenden werden.

4. Zum *Klonen* des Übungsverzeichnisses klicken Sie auf das `Git` Logo <img src="https://git-scm.com/images/logos/downloads/Git-Icon-Black.png" alt="drawing" height="22"/> und wählen Sie `Clone a Repository` aus.
5. Geben Sie in dem Pop-up Fenster den `HTTPS-Link` des Übungsverzeichnisses ein: `https://gitlab.etp.kit.edu/Lehre/cgda_forstudents24.git`. Diesen Link erhalten Sie auch, wenn sie in diesem `GitLab` Verzeichnis auf den *Clone*-Button klicken und die `HTTPS`-Option wählen.
6. Das Verzeichnis `cgda_forstudents24` sollte nun in ihrem Navigationsmenü auftauchen.

In dem *geklonten* Verzeichnis finden sie die Rohdatei dieses `README.md` sowie die Ordner, in denen die Übungsblätter hochgeladen werden. In den Ordnern finden Sie das zu bearbeitende Jupyter-Notebook sowie Zusatzmaterial zu den Übungen. Durch Doppelklicken auf Datein werden im Launcher die Dateien dargestellt.

Zu Beginn der Übung wird nur der nullte Ordner des nullten Übungsblatts zu sehen sein. Im weiteren Verlauf der Übung werden weitere Ordner hinzugefügt, die Sie durch sogenanntes *pullen* (runterladen) in Ihr Verzeichnis laden können. In der Jupyter-Hub Umgebung navigieren Sie hierzu in den Übungsordner`cgda_forstudents24`, klicken Sie anschließend in der linken Leiste auf das `Git` Logo <img src="https://git-scm.com/images/logos/downloads/Git-Icon-Black.png" alt="drawing" height="22"/>. Sie sollten jetzt in ihrem linken Navigationsmenü die `Git` spezifische Umgebung sehen. In der rechten oberen Ecke sehen Sie zwei Wolken und einen "Aktualisieren"-Button, zum *Pullen* der neusten Version des Übungszverzeichnisses, klicken Sie auf die erste Wolke mit dem Pfeil nach unten.

Der aktuelle Status der Übungsblattvergabe ist immer auf [dieser Seite](https://gitlab.etp.kit.edu/Lehre/cgda_forstudents24) zu finden. Die Benutzung von Ilias ist dafür nicht notwendig.

Bei Fragen oder Problemen wenden Sie sich bitte an das [Übungsleiterteam](mailto:cgda@physik.kit.edu).
